This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1295061 - Primary monitor not detected correctly with DVI-I and DVI-D ports
Primary monitor not detected correctly with DVI-I and DVI-D ports
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mutter (Show other bugs)
7.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Florian Müllner
Desktop QE
:
Depends On:
Blocks: 1420851
  Show dependency treegraph
 
Reported: 2016-01-01 09:48 EST by Ashish Shah
Modified: 2017-07-27 13:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ashish Shah 2016-01-01 09:48:55 EST
Description of problem:

Dual head configuration with spanning desktop across two monitors does not detect primary monitor correctly in GDM/GNOME
DVI-I is detected as primary monitor during boot-up and upon login to KDE session.
GDM login screen and GNOME session detects monitor on DVI-D as primary.
GNOME is not detecting primary monitor correctly with DVI-I and DVI-D ports.
Looks like GDM follows the alphabetic order DVI-D as primary in RHEL 7.2 ?
But KDE does select the power-on monitor as primary.

Version-Release number of selected component (if applicable):

RHEL7.2
GNOME 3.14

How reproducible:

Always (with specific hardware)

Steps to Reproduce:
1. Boot up system in GUI mode with dual monitor.
2. On GDM screen login as user to KDE session.


Actual results:

Monitor on DVI-I is detected as primary during boot-up and in KDE session
GDM and GNOME detect DVI-D monitor as primary

Expected results:

GDM/GNOME should also detect monitor on DVI-I as primary

Additional info:

This was working well with RHEL7.1 and earlier, even with RHEL6.
Problem is specific to RHEL7.2
Problem is also specific to dual head setup with DVI-I and DVI-D ports
Configuring monitors.xml to use desired monitor as primary helps to workaround the issue.

Note You need to log in before you can comment on or make changes to this bug.